Установка Freeradius

Установка, настройка, поддержка
Ответить
lmuradyan
Сообщения: 7
Зарегистрирован: Пн окт 15, 2018 10:12 am

Установка Freeradius

Сообщение lmuradyan » Вт окт 16, 2018 10:46 am

Добрый день

Пытаюсь установить, как описано в http://abills.net.ua/wiki/doku.php/abil ... _ubuntu:ru
Но доходя до установки freeraduis-а получаю:

Код: Выделить всё

# ./configure --prefix=/usr/local/freeradius --with-rlm-perl-lib-dir=/usr/lib/x86_64-linux-gnu/ --with-dhcp=yes --with-openssl=no > /dev/null

configure: WARNING: snmpget not found - Simultaneous-Use and checkrad.pl may not work
configure: WARNING: snmpwalk not found - Simultaneous-Use and checkrad.pl may not work
configure: WARNING: pcap library not found, silently disabling the RADIUS sniffer.
configure: WARNING: silently not building rlm_eap_ikev2.
configure: WARNING: FAILURE: rlm_eap_ikev2 requires:  libeap-ikev2 EAPIKEv2/connector.h.
configure: WARNING: silently not building rlm_eap_peap.
configure: WARNING: FAILURE: rlm_eap_peap requires: OpenSSL.
configure: WARNING: silently not building rlm_eap_tls.
configure: WARNING: FAILURE: rlm_eap_tls requires: OpenSSL.
configure: WARNING: silently not building rlm_eap_ttls.
configure: WARNING: FAILURE: rlm_eap_ttls requires: OpenSSL.
configure: WARNING: the TNCS library isn't found!
configure: WARNING: silently not building rlm_eap_tnc.
configure: WARNING: FAILURE: rlm_eap_tnc requires:  -lTNCS.
configure: WARNING: neither krb5 'k5crypto' nor 'crypto' libraries are found!
configure: WARNING: the comm_err library isn't found!
configure: WARNING: silently not building rlm_krb5.
configure: WARNING: FAILURE: rlm_krb5 requires:  krb5.h krb5.
configure: WARNING: silently not building rlm_ldap.
configure: WARNING: FAILURE: rlm_ldap requires:  libldap_r ldap.h.
configure: WARNING: silently not building rlm_otp.
configure: WARNING: FAILURE: rlm_otp requires:  openssl-libs openssl-includes openssl-includes openssl-includes openssl-includes openssl-includes.
configure: WARNING: silently not building rlm_pam.
configure: WARNING: FAILURE: rlm_pam requires:  libpam.
configure: WARNING: silently not building rlm_python.
configure: WARNING: FAILURE: rlm_python requires: python-binary.
configure: WARNING: silently not building rlm_sql_iodbc.
configure: WARNING: FAILURE: rlm_sql_iodbc requires: libiodbc isql.h.
configure: WARNING: silently not building rlm_sql_postgresql.
configure: WARNING: FAILURE: rlm_sql_postgresql requires:  libpq-fe.h libpq.
configure: WARNING: oracle headers not found.  Use --with-oracle-include-dir=<path>.
configure: WARNING: silently not building rlm_sql_oracle.
configure: WARNING: FAILURE: rlm_sql_oracle requires: oci.h.
configure: WARNING: silently not building rlm_sql_unixodbc.
configure: WARNING: FAILURE: rlm_sql_unixodbc requires: libodbc sql.h.
configure: WARNING: silently not building rlm_wimax.
configure: WARNING: FAILURE: rlm_wimax requires:  openssl/hmac.h.
#

~AsmodeuS~
Site Admin
Сообщения: 5688
Зарегистрирован: Пт янв 28, 2005 3:11 pm
Контактная информация:

Re: Установка Freeradius

Сообщение ~AsmodeuS~ » Вт окт 16, 2018 10:53 am

Все отлично

система говорит какие модули не может собрать, они Вам не будут нужны

lmuradyan
Сообщения: 7
Зарегистрирован: Пн окт 15, 2018 10:12 am

Re: Установка Freeradius

Сообщение lmuradyan » Вт окт 16, 2018 10:53 am

Спасибо!

Ответить